Subject: Installing Linux (any flavor so long as it's accessible) to a 2012 Mac mini?

From: Eric Oyen via PLUG-discuss <[email-masked]>
Date: Sun, 13 Apr 2025 18:20:09 -0700

Hello everyone.

Ok, the subject pretty much states the problem. Now, I have been doing some research on this and have discovered that this isn’t as apparently easy as it would sound. The firmware in the device is an apple branded firmware, which might need modification or complete replacement in order to install Linux.

Much of the research points to several facts:
1. You can install on bare hardware, but the chances of a crash are pretty good
2. May require setting up a custom boot loader
3. Might require a base installation of OS X to maintain usability as an apple device (no further updates possible as this device was end of life as of November 2019.

It’s a good machine with some usable parts (cpu, ram, SSD, etc) and I would hate to have to toss a perfectly working piece of hardware in the dumpster (thus contributing to the 2.2 Billion Metric tons of E-waste annually).

The unfortunate problem I have is that some methods definitely require visual assistance to carry off and not all distributions will work without some heavy modifications and 3rd party device support (namely the wifi and the graphics interfaces).

I might need some visual assistance with this at some point (like during the next plug meeting perhaps?). Anyway, let me know if anyone is willing to help.

-Eric
From the Central Offices of the Technomage Guild, Service request Dept.

---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss